OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.CompiledVertexArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTCompiledVertexArray :: MonadIO m => m Bool
- gl_EXT_compiled_vertex_array :: Bool
- gl_ARRAY_ELEMENT_LOCK_COUNT_EXT :: GLenum
- gl_ARRAY_ELEMENT_LOCK_FIRST_EXT :: GLenum
- glLockArraysEXT :: MonadIO m => GLint -> GLsizei -> m ()
- glUnlockArraysEXT :: MonadIO m => m ()

# Extension Support

glGetEXTCompiledVertexArray :: MonadIO m => m Bool

Is the EXT_compiled_vertex_array extension supported?

gl_EXT_compiled_vertex_array :: Bool

Is the EXT_compiled_vertex_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTCompiledVertexArray` in those cases instead.

# Enums

gl_ARRAY_ELEMENT_LOCK_COUNT_EXT :: GLenum

gl_ARRAY_ELEMENT_LOCK_FIRST_EXT :: GLenum

# Functions

glLockArraysEXT

Arguments

:: MonadIO m |
=> GLint | `first`.
-> GLsizei | `count`.
-> m () |

glUnlockArraysEXT :: MonadIO m => m ()